Token payroll

Update Token Payroll Type

Changes a token payroll's type and selected token when no settlements exist and it is not approved or completed.

POSThttps://api.toku.com/stablecoin-payroll/update-token-payroll-type

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/update-token-payroll-type' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "tokenPayrollId": "string",
  "type": "ON_CYCLE",
  "selectedTokenTypeID": "string"
}'
200 response
{
  "tokenPayroll": {
    "tokenPayrollID": "string",
    "orgID": "string",
    "payPeriodStart": "string",
    "payPeriodEnd": "string",
    "payDate": "string",
    "externalPayrollID": "string",
    "fiatCurrency": "string",
    "payrollEntityId": "string",
    "state": "string",
    "type": "string",
    "createdAt": "string",
    "updatedAt": "string"
  },
  "validationErrors": [
    "string"
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

tokenPayrollIdstringrequired

Allowed: 1 to 200 characters

typestringrequired

Available options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT

selectedTokenTypeIDstring

Allowed: 1 to 200 characters

Response

200Successful response
tokenPayrollobjectrequired
Show child attributes
tokenPayrollIDstringrequired
orgIDstringrequired
payPeriodStartstringrequired
payPeriodEndstringrequired
payDatestringrequired
externalPayrollIDstring | nullrequired
fiatCurrencystringrequired
payrollEntityIdstring | nullrequired
statestringrequired
typestringrequired
createdAtstringrequired
updatedAtstringrequired
validationErrorsstring[]
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits